Bug 87029 - Save Image... context menu item in Impress does not respond to WMF, EMF, or EPS images -- SVG are handled.
Summary: Save Image... context menu item in Impress does not respond to WMF, EMF, or ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: confirmed:4.3.5:windows confirmed:4.4...
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2014-12-05 11:22 UTC by actionmystique
Modified: 2017-11-17 09:10 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Slide with problem image (160.47 KB, application/vnd.oasis.opendocument.presentation)
2016-03-14 18:16 UTC, Alex
Details

Note You need to log in before you can comment on or make changes to this bug.
Description actionmystique 2014-12-05 11:22:07 UTC
1. Open a PPT
2. Select a graphic
3. Right-click: Save Graphic...
4 Nothing happens

An example PPT is available here: https://drive.google.com/file/d/0B5fXyIn0-GDFSFg0OUJZS1d3Sms/view?usp=sharing.
Comment 1 V Stuart Foote 2014-12-07 05:11:32 UTC
Confirming. Setting NEW. Adjusting summary.

WMF, EMF (and SVG) images contained in a filter opened PPT, or when inserted into a new Impress presentation slide will not open the "Image Export" dialog associated with the .uno:SaveGraphic command.

Context menu slection of "Save Image..." for JPEG and PNG images in an Impress slide, or filter opened PPT, will open the "Image Export" dialog.

In Writer selecting any of the image types, and selecting "Save Graphic..." (lableed "Save Image..." builds >4.4.0) will open the "Image Export" dialog with the correct image type associated. Of course, the SVG have been converted to WMF internally and are exported in that format rather than SVG.

-=ref=-
http://opengrok.libreoffice.org/xref/core/svx/sdi/svx.sdi#6065
http://opengrok.libreoffice.org/xref/core/svx/inc/globlmn_tmpl.hrc#261
Comment 2 QA Administrators 2015-12-20 16:09:30 UTC Comment hidden (obsolete)
Comment 3 SteveM 2016-02-13 00:49:31 UTC
This is still happening.  I'm new here and cannot tell, if this has been closed, although it is an old posting.  I have upgraded to 5.1 and it is still not working and hasn't in the previous few versions (at least).

As was noted, the SAVE IMAGE (via the context menu or via FORMAT - IMAGE - SAVE) does nothing in IMPRESS.  I cannot tell what type of image that it was originally, since the file was sent to me.

As was pointed out, the context menu (SAVE IMAGE...) works in WRITER.

ACTIONS:

1. Open a PPT
2. Select a graphic
3. Right-click: Save Image...
4. Nothing happens

Linux RPM user; AMD_64
Comment 4 V Stuart Foote 2016-02-13 02:24:38 UTC
(In reply to SteveM from comment #3)
@SteveM, thanks for posting! 

Turns out that for this specific issue, there has been some improvement, as SVG files are now being correctly handled in Impress--and will respond to their context menu "Save image..." 

But the issue remains open in a NEW status because the WMF, EMF and EPS "vector" formatted images continue to not respond to the "Save image..." from the Impress canvas context menu.  

PNG, JPEG, TIFF raster images were never affected, so the image in the PPT you've received is probably WMF or EMF.

If you attach it (or a sampling of it) we can't verify.

=-=-=
tested on Windows 10 Pro 64-bit en-US with
Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

the above is available from the Help -> About LibreOffice dialog and gives us needed details about your environment.
Comment 5 Alex 2016-03-14 18:16:36 UTC
Created attachment 123571 [details]
Slide with problem image

This slide contains an image that when using Right Click -> Save Image, no dialogue box opens. I am pretty confident that the image is an .eps file, but sadly I cannot find a copy of it anywhere in my files.
Comment 6 Alex 2016-03-14 18:19:24 UTC
I also have the same issue described in this thread. See the above attachment for an Impress slide with troublesome graphic. My environment:

Ubuntu 14.04
Version: 5.0.5.2
Build ID: 55b006a02d247b5f7215fc6ea0fde844b30035b3
Locale: en-US (en_US.UTF-8)
Comment 7 QA Administrators 2017-11-17 09:10:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug